## org.apache.batik.dom.util
Class ListNodeList

    java.lang.Object
      org.apache.batik.dom.util.ListNodeList

All Implemented Interfaces:
  org.w3c.dom.NodeList

    public class ListNodeList

extends java.lang.Object
implements org.w3c.dom.NodeList

A simple class that implements the DOM NodeList interface by wrapping an Java List instace.

Field Summary
`protected java.util.List` `list`

Constructor Summary
`ListNodeList(java.util.List list)`

Method Summary
`int` `getLength()` DOM: Implements `NodeList.getLength()`.
`org.w3c.dom.Node` `item(int index)` DOM: Implements `NodeList.item(int)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected java.util.List list

Constructor Detail

### ListNodeList

    public ListNodeList(java.util.List list)

Method Detail

### item

    public org.w3c.dom.Node item(int index)

  DOM: Implements `NodeList.item(int)`.

  Specified by:
    `item` in interface `org.w3c.dom.NodeList`

### getLength

    public int getLength()

  DOM: Implements `NodeList.getLength()`.

  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.